<h2 mat-dialog-title fxLayout>
  <div fxFlex>Add new resource</div>
  <button mat-icon-button mat-dialog-close>
    <mat-icon>close</mat-icon>
  </button>
</h2>
<mat-dialog-content>

    <div fxLayout="column">
      <mat-form-field fxFlex>
        <input matInput placeholder="Name" [(ngModel)]="data.name">
      </mat-form-field>
    
      <mat-form-field fxFlex>
        <input matInput placeholder="Url" [(ngModel)]="data.url">
      </mat-form-field>
    </div>

</mat-dialog-content>
<mat-dialog-actions>
  <div fxFlex></div>
  <button mat-button mat-raised-button [mat-dialog-close]="data"><mat-icon>playlist_add</mat-icon> Save</button>
</mat-dialog-actions>